-- name: [CS] The Herd Pack
-- description: The official CS pack for the Herd, created for @StrikerDeer on Youtube

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_STRIKER = smlua_model_util_get_id("striker_geo")
local E_MODEL_WABBIT = smlua_model_util_get_id("wab_geo")
local E_MODEL_BEANS = smlua_model_util_get_id("beans_geo")
local E_MODEL_CTNEW = smlua_model_util_get_id("ctnew_geo")

local TEX_STRIKER = get_texture_info("striker-icon")
local TEX_WABBIT = get_texture_info("wab-icon")
local TEX_BEANS = get_texture_info("beans-icon")
local TEX_CTNEW = get_texture_info("ctnew-icon")

local TEXT_MOD_NAME = "The Herd Pack"






if _G.charSelectExists then
    CT_STRIKER = _G.charSelect.character_add("Striker", {"The Deer Boi himself"}, "CT Himself", {r = 184, g = 118, b = 73}, E_MODEL_STRIKER, CT_MARIO, TEX_STRIKER)
    CT_WABBIT = _G.charSelect.character_add("Wabbit", {"He lurks."}, "CT Himself", {r = 92, g = 90, b = 131}, E_MODEL_WABBIT, CT_MARIO, TEX_WABBIT)
    CT_BEANS = _G.charSelect.character_add("Beans", {"Fking hates Mystic"}, "CT Himself", {r = 255, g = 255, b = 255}, E_MODEL_BEANS, CT_MARIO, TEX_BEANS)
    CT_CTNEW = _G.charSelect.character_add("CT Himself", {"Oh boy, *another* CT model..."}, "CT Himself", {r = 223, g = 113, b = 38}, E_MODEL_CTNEW, CT_MARIO, TEX_CTNEW)


else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end